org.apache.ignite.internal.processors.cache.persistence.wal.reader

## Class StandaloneIgnitePluginProcessor

- java.lang.Object
- - org.apache.ignite.internal.processors.GridProcessorAdapter
  - - org.apache.ignite.internal.processors.plugin.IgnitePluginProcessor
    - - org.apache.ignite.internal.processors.cache.persistence.wal.reader.StandaloneIgnitePluginProcessor

All Implemented Interfaces:
  GridComponent, GridProcessor

    public class StandaloneIgnitePluginProcessor
    extends IgnitePluginProcessor

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.GridComponent

`GridComponent.DiscoveryDataExchangeType`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`ctx, diagnosticLog, log`

### Constructor Summary

Constructors
Constructor and Description
`StandaloneIgnitePluginProcessor(GridKernalContext ctx, IgniteConfiguration cfg)`

### Method Summary

### Methods inherited from class org.apache.ignite.internal.processors.plugin.IgnitePluginProcessor

`allProviders, collectGridNodeData, collectJoiningNodeData, createComponent, discoveryDataType, extensions, onGridDataReceived, onJoiningNodeDataReceived, pluginContextForProvider, pluginProvider, start`

### Methods inherited from class org.apache.ignite.internal.processors.GridProcessorAdapter

`assertParameter, onDisconnected, onKernalStart, onKernalStop, onReconnected, printMemoryStats, stop, toString, validateNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StandaloneIgnitePluginProcessor

    public StandaloneIgnitePluginProcessor(GridKernalContext ctx,
                                   IgniteConfiguration cfg)
                                    throws IgniteCheckedException

Parameters:
  `ctx` - Kernal context.
  `cfg` - Ignite configuration.
Throws:
  `IgniteCheckedException`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017